Bug 292331 - Review Request: ladspa-amb-plugins - Ambisonics LADSPA plugins
Review Request: ladspa-amb-plugins - Ambisonics LADSPA plugins
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-16 03:52 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 09:49:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-16 03:52:27 EDT
Spec URL: http://people.atrpms.net/~hdegoede/ladspa-amb-plugins.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ladspa-amb-plugins-0.3.0-1.fc8.src.rpm
Description:
A set of first order Ambisonics plugins I use with Ardour. Included
are: mono and stereo input panner, horizontal rotation, and square and
hexagon horizontal decoders. See the README for more.
Comment 1 Michael Schwendt 2007-09-17 16:01:23 EDT
Typo in the "amb-plugins" Provides:

$ rpm -qp --provides /home/qa/tmp/rpm/RPMS/ladspa-amb-plugins-0.3.0-1.fc8.i386.rpm
amb-plugins = 0.3.0=1.fc8
ambisonic1.so  
ambisonic2.so  
ladspa-amb-plugins = 0.3.0-1.fc8


Suggesting you replace 'I use' with 'to use' in the %description


With the Provides in the Obsoletes/Provides pair you practically
occupy the "amb-plugins" namespace. Is this really necessary
to keep both package names when this is a new-entry in Fedora?


Else it's approved packaging- and licencing-wise.
Comment 2 Hans de Goede 2007-09-17 16:10:01 EDT
(In reply to comment #1)
> Typo in the "amb-plugins" Provides:
> 

This will be fixed in the imported version

> Suggesting you replace 'I use' with 'to use' in the %description

Idem

> 
> With the Provides in the Obsoletes/Provides pair you practically
> occupy the "amb-plugins" namespace. Is this really necessary
> to keep both package names when this is a new-entry in Fedora?
> 

The obsoletes is necessary because it used to be called amb-plugins in somewhat
older but not very old CCRMA releases, the provides is there as upstream's name
is amb-plugins and thus IMHO yum install amb-plugins should work too.
Comment 3 Hans de Goede 2007-09-17 16:27:47 EDT
New Package CVS Request
=======================
Package Name:      ladspa-amb-plugins
Short Description: Ambisonics LADSPA plugins
Owners:            jwrdegoede nando
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes
Comment 4 Kevin Fenzi 2007-09-17 16:48:34 EDT
cvs done.
Comment 5 Hans de Goede 2007-09-18 09:49:18 EDT
Michael, thanks for the review!

Imported and build, update push requested for F-7, closing.

Note You need to log in before you can comment on or make changes to this bug.